Subject: Re: [dispatch] SIP responses carrying Q.850 cause valuesin Reason header fields

From: "DOLLY, MARTIN C (ATTSI)" <[email-masked]>
Date: Thu, 19 May 2011 04:07:46 -0400

Agreed
Martin C. Dolly
Sent to you by AT&T... America's Fastest Mobile Broadband Network. Rethink Possible.
+1.609.903.3360

----- Original Message -----
From: [email-masked] <[email-masked]>
To: [email-masked] <[email-masked]>; [email-masked] <[email-masked]>
Sent: Thu May 19 03:58:19 2011
Subject: Re: [dispatch] SIP responses carrying Q.850 cause valuesin	Reason	header fields

Dear all,
So assuming that there was no comment people are happy with the new rewording I would like to prepare a new draft.

This would be Option 1: General wording to allow the Reason header within responses without any restrictions (except 100 Trying).
And nobody wanted to have Option 2: Wording as stated in the current draft
draft-jesske-dispatch-update3326-reason-responses-02

Agreed? Comments?

Thank you and best Regards

Roland

> -----Ursprüngliche Nachricht-----
> Von: Jesske, Roland
> Gesendet: Donnerstag, 19. Mai 2011 09:50
> An: Jesske, Roland
> Betreff: AW: [dispatch] SIP responses carrying Q.850 cause
> values in Reason header fields
>
>
>
>       On May 13, 2011, at 3:18 AM, <[email-masked]> wrote:
>
>
> Hi,
> Since my answer it looks that people would be
> OK with  the change.
> So if no body comments within the next few days
> I would prepare a new draft.
>
> So due to Gonzalo's proposal I would rewrite
> the paragraphs as shown below.
> For comparison reasons I have added also the
> text proposal of the current draft
> (draft-jesske-dispatch-update3326-reason-responses-02).
> Please indicate which text you would like to
> see finally. New proposal or current proposal.
>
>
> 3.  RFC3326 1. Introduction
>
>   Original Text:
>
>   Initially, the Reason header field defined
> here appears to be most
>   useful for BYE and CANCEL requests, but it
> can appear in any request
>   within a dialog, in any CANCEL request and in
> any response whose
>   status code explicitly allows the presence of
> this header field.
>
>   Note that the Reason header field is usually
> not needed in responses
>   because the status code and the reason phrase
> already provide
>   sufficient information.
>
>   New Text(new proposal):
>
>   Initially, the Reason header field defined
> here appears to be most
>   useful for BYE and CANCEL requests, but it
> can appear in any request
>   within a dialog, in any CANCEL request
> independent of the protocol
>   value used and in any response except 100 trying.
>
>   New Text (text stated in the current draft
> draft-jesske-dispatch-update3326-reason-responses-02):
>
>   Initially, the Reason header field defined
> here appears to be most
>   useful for BYE and CANCEL requests, but it
> can appear in any request
>  within a dialog, in any CANCEL request
> independent of the protocol
>   value used and in any response except 100
> trying if it contains only
>   a Q.850 Cause Code.
>
> 4.  RFC3326 2. The Reason Header Field
>
>   Original Text
>
>   The Reason header field MAY appear in any
> request within a dialog, in
>   any CANCEL request and in any response whose
> status code explicitly
>   allows the presence of this header field.
>
>
>
>
> Jesske & Liess           Expires October 2,
> 2011                [Page 3]
>
> Internet-Draft                Reason Header
>          March 2011
>
>
>   New Text(new proposal):
>
>   The Reason header field  MAY appear
>   in any request within a dialog, in any CANCEL
> request .  The
>   appearance of the Reason header field is
> applicable to final responses 3xx, 4xx, 5xx and 6xx and 18x
>   and 199 provisional responses [I-D.ietf-sipcore-199].
>
>
>   New Text(text stated in the current draft
> draft-jesske-dispatch-update3326-reason-responses-02):
>
>   The Reason header field only containing a
> Q.850 Cause Code MAY appear
>   in any request within a dialog, in any CANCEL
> request .  The
>   appearance of the Reason header field only
> containing a Q.850 Cause
>   Code is applicable to final responses 3xx,
> 4xx, 5xx and 6xx and 18x
>   and 199 provisional responses [I-D.ietf-sipcore-199].
>
>   The Reason header field containing any other
> reason value MAY appear
>   in any request within a dialog, in any CANCEL
> request and in any
>   response whose status code explicitly allows
> the presence of this
>   header field.
>
>
>
>
> Best Regards
>
>
> Roland
>
>
> Deutsche Telekom Netzproduktion GmbH
> Fixed Mobile Engineering Deutschland
> Roland Jesske
> Heinrich-Hertz-Straße 3-7, 64295 Darmstadt
> +49 6151 628-2766 (Tel.)
> +49 521 9210-3753  (Fax)
> +49 171 8618-445  (Mobil)
> E-Mail: mailto:[email-masked]
> http://www.telekom.de
>
> Erleben, was verbindet.
>
> Deutsche Telekom Netzproduktion GmbH
> Aufsichtsrat: Dr. Steffen Roehn (Vorsitzender)
> Geschäftsführung: Dr. Bruno Jacobfeuerborn
> (Vorsitzender), Albert Matheis, Klaus Peren
> Handelsregister: Amtsgericht Bonn HRB 14190
> Sitz der Gesellschaft Bonn
> USt-IdNr. DE 814645262
>
> Große Veränderungen fangen klein an -
> Ressourcen schonen und nicht jede E-Mail drucken.
>
>
>
>
>                       -----Ursprüngliche Nachricht-----
>
>
>                       Von: [email-masked]
>
>
>                       [mailto:[email-masked]] Im
> Auftrag von Jesske, Roland
>
>
>                       Gesendet: Mittwoch, 6. April 2011 11:24
>
>
>                       An: [email-masked];
> [email-masked]
>
>
>                       Betreff: Re: [dispatch] SIP responses
> carrying Q.850 cause
>
>
>                       values in Reason header fields
>
>
>
>                       Hi Gonzalo,
>
>
>                       I'm OK with your proposal so I could
> change it if people
>
>
>                       would like it.
>
>
>                       It makes it shorter.
>
>
>                       The only I would propose to have in is
> the explicit
>
>
>                       mentioning of the Response values due
> to the fact that a
>
>
>                       100OK or 200OK should not include a
> Reason header with a
>
>
>                       Q.850 Cause Value.
>
>
>
>                       Best Regards
>
>
>                       Roland Jesske
>
>
>
>
>
>                               -----Ursprüngliche Nachricht-----
>
>
>                               Von: [email-masked]
>
>
>
> [mailto:[email-masked]] Im Auftrag von Gonzalo Camarillo
>
>
>                               Gesendet: Dienstag, 5. April 2011 14:03
>
>
>                               An: DISPATCH
>
>
>                               Betreff: [dispatch] SIP
> responses carrying Q.850 cause values
>
>
>                               in Reason header fields
>
>
>
>                               Hi,
>
>
>
>                               last week in the DISPATCH
> session, there was consensus to allow SIP
>
>
>                               responses to carry Reason
> header fields with Q.850 cause
>
>
>                       values. As I
>
>
>                               said some time ago, I am
> willing to AD sponsor this draft
>
>
>                       if/when the
>
>
>                               DISPATCH chairs confirm such
> consensus on the list.
>
>
>
>                               In the mean time, I have some
> comments on how to document
>
>
>                               this decision.
>
>
>                               The following (fairly short)
> draft updates a couple of
>
>
>                               paragraphs in RFC
>
>
>                               3326 in order to achieve the
> desired outcome:
>
>
>
>
> http://www.ietf.org/id/draft-jesske-dispatch-update3326-reason
> -responses-02.txt
>
>
>
>
>                               I think this is not a
> particularly elegant way to define
>
>
>                       what we want.
>
>
>                               For example, if we wanted to
> define a solution to HERFP in
>
>
>                       the future
>
>
>                               based on the Reason header, we
> would need to update those paragraphs
>
>
>                               again, making them longer every
> time we added a new use case.
>
>
>
>                               Instead, I would prefer to
> explicitly define what we want
>
>
>                       to do and be
>
>
>                               done with it. Such a (also
> fairly short) draft would say
>
>
>                               something along
>
>
>                               the following lines:
>
>
>
>                               "RFC 3326 allows the presence
> of the Reason header field in
>
>
>                               any response
>
>
>                               whose status code explicitly
> allows its presence. This document
>
>
>                               explicitly allows any SIP
> response to carry a Reason header
>
>
>                               field with a
>
>
>                               Q.850 cause value. SIP
> responses with Reason header fields carrying
>
>
>                               values other than Q.850 cause
> values are outside of the
>
>
>                       scope of this
>
>
>                               document."
>
>
>
>                               I would like to know the
> opinion of the WG on this matter
>
>
>                               (i.e., how to
>
>
>                               document the WG's consensus).
> Note that reaching consensus was the
>
>
>                               difficult part. Agreeing on how
> to document it should be easy.
>
>
>
>                               Thanks,
>
>
>
>                               Gonzalo
>
>
>
>
> _______________________________________________
>
>
>                               dispatch mailing list
>
>
>                               [email-masked]
>
>
>
> https://www.ietf.org/mailman/listinfo/dispatch
>
>
>
>                       _______________________________________________
>
>
>                       dispatch mailing list
>
>
>                       [email-masked]
>
>
>                       https://www.ietf.org/mailman/listinfo/dispatch
>
>
>
>               _______________________________________________
>               dispatch mailing list
>               [email-masked]
>               https://www.ietf.org/mailman/listinfo/dispatch
>
>
>
>
_______________________________________________
dispatch mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dispatch